weka.classifiers.trees.j48

## Class EntropyBasedSplitCrit

- java.lang.Object
- - weka.classifiers.trees.j48.SplitCriterion
  - - weka.classifiers.trees.j48.EntropyBasedSplitCrit

- All Implemented Interfaces:
    java.io.Serializable, RevisionHandler
  Direct Known Subclasses:
    EntropySplitCrit, GainRatioSplitCrit, InfoGainSplitCrit

      public abstract class EntropyBasedSplitCrit
      extends SplitCriterion

  "Abstract" class for computing splitting criteria based on the entropy of a class distribution.
  Version:
    $Revision: 10055 $
  Author:
    Eibe Frank (eibe@cs.waikato.ac.nz)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntropyBasedSplitCrit()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `lnFunc(double num)` Help method for computing entropy.
    `double` | `newEnt(Distribution bags)` Computes entropy of distribution after splitting.
    `double` | `oldEnt(Distribution bags)` Computes entropy of distribution before splitting.
    `double` | `splitEnt(Distribution bags)` Computes entropy after splitting without considering the class values.

    - ### Methods inherited from class weka.classifiers.trees.j48.SplitCriterion

      `splitCritValue, splitCritValue, splitCritValue, splitCritValue`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface weka.core.RevisionHandler

      `getRevision`

- - ### Constructor Detail

    - #### EntropyBasedSplitCrit

          public EntropyBasedSplitCrit()

  - ### Method Detail

    - #### lnFunc

          public final double lnFunc(double num)

      Help method for computing entropy.

    - #### oldEnt

          public final double oldEnt(Distribution bags)

      Computes entropy of distribution before splitting.

    - #### newEnt

          public final double newEnt(Distribution bags)

      Computes entropy of distribution after splitting.

    - #### splitEnt

          public final double splitEnt(Distribution bags)

      Computes entropy after splitting without considering the class values.